## python3-defaults 3.9.4-1build1

=== debian/changelog ===
python3-defaults (3.9.4-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:21 +0200
