## python3-defaults 3.10.1-0ubuntu2

=== debian/changelog ===
python3-defaults (3.10.1-0ubuntu2) jammy; urgency=medium

  * Remove Python 3.9 as a supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 07 Mar 2022 14:56:32 +0000

python3-defaults (3.10.1-0ubuntu1) jammy; urgency=medium

  * Default to python3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 16:58:43 +0000

python3-defaults (3.9.8-1) unstable; urgency=medium

  * Bump version to 3.9.8.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 16:56:56 +0100

python3-defaults (3.9.7-4) experimental; urgency=medium

  * Support 2-digit minor versions in py3versions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Nov 2021 17:20:48 -0700

python3-defaults (3.9.7-3) experimental; urgency=medium

  * Add 3.10 as a supported Python3 version

 -- Matthias Klose <doko@debian.org>  Wed, 03 Nov 2021 13:57:32 +0200

python3-defaults (3.9.7-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump version to 3.9.7.
  * Bump standards version.

  [ Dimitri John Ledkov ]
  * Correct command-not-found XB-Cnf headers LP: #1867157:
    - Drop Extra-Commands headers not needed
    - Add XB- to ensure Visible-Pkgname actually is included in the binary
      package headers

  [ Graham Inggs ]
  * Fix py3versions -i for two-digit minor versions.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Nov 2021 12:51:45 +0100
