=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.9:any (>= 3.9.4-0~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.1-0~),
   lsb-release,
   python3-minimal:any,
   python3-docutils,
   python3-sphinx,
   html2text,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.python.org/
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults
@@ -18,8 +19,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.9 (>= 3.9.4-0~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.9.4-0~) , python3-venv (>= ${binary:Version})
+Depends: python3.10 (>= 3.10.1-0~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.9.9-3~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
 Description: interactive high-level object-oriented language (default python3 version)
@@ -28,15 +29,13 @@
  network programming, system administration, sounds and graphics.
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version (currently v3.9).
-XB-Cnf-Extra-Commands: python
-XB-Cnf-Priority-Bonus: 5
+ Python 3 version (currently v3.10).
 
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.9-venv (>= 3.9.4-0~), python3 (= ${binary:Version}),
-  python3-distutils (>= 3.9.4-0~), ${misc:Depends}
+Depends: python3.10-venv (>= 3.10.1-0~), python3 (= ${binary:Version}),
+  python3-distutils (>= 3.9.9-3~), ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
  version).
@@ -49,36 +48,36 @@
  directories.
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version's venv module (currently v3.9).
+ Python 3 version's venv module (currently v3.10).
 
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.9-minimal (>= 3.9.4-0~)
+Pre-Depends: python3.10-minimal (>= 3.10.1-0~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
- See /usr/share/doc/python3.9-minimal/README.Debian for a list of the modules
+ See /usr/share/doc/python3.10-minimal/README.Debian for a list of the modules
  contained in this package.
-Cnf-Visible-Pkgname: python3
+XB-Cnf-Visible-Pkgname: python3
 
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.9-examples (>= 3.9.4-0~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.10-examples (>= 3.10.1-0~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version's examples (currently v3.9).
+ Python 3 version's examples (currently v3.10).
 
 Package: python3-dev
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.9-dev (>= 3.9.4-0~), python3-distutils (>= 3.9.4-0~),
+  python3.10-dev (>= 3.10.1-0~), python3-distutils (>= 3.9.9-3~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -89,13 +88,13 @@
  in applications.
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version's headers (currently v3.9).
+ Python 3 version's headers (currently v3.10).
 
 Package: libpython3-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.9-dev (>= 3.9.4-0~), ${misc:Depends}
+Depends: libpython3.10-dev (>= 3.10.1-0~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -104,22 +103,22 @@
  in applications.
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version's headers (currently v3.9).
+ Python 3 version's headers (currently v3.10).
 
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.9-stdlib (>= 3.9.4-0~), ${misc:Depends}
+Depends: libpython3.10-stdlib (>= 3.10.1-0~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version's standard library (currently v3.9).
+ Python 3 version's standard library (currently v3.10).
 
 Package: idle
 Architecture: all
-Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.9
+Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.10
 Enhances: python3
 Breaks: idle3 (<< 3.6.2-2)
 Replaces: idle3 (<< 3.6.2-2)
@@ -128,7 +127,7 @@
  IDLE is written using Tkinter and therefore quite platform-independent.
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version's IDLE (currently v3.9).
+ Python 3 version's IDLE (currently v3.10).
 
 Package: idle3
 Architecture: all
@@ -143,11 +142,11 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.9-doc (>= 3.9.4-0~), ${misc:Depends}
+Depends: python3.10-doc (>= 3.10.1-0~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
- object-oriented language Python 3 (v3.9). All documents are provided
+ object-oriented language Python 3 (v3.10). All documents are provided
  in HTML format, some in info format. The package consists of nine documents:
  .
    * Tutorial
@@ -161,37 +160,37 @@
    * Distributing Python Modules
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 version's documentation (currently v3.9).
+ Python 3 version's documentation (currently v3.10).
 
 Package: python3-dbg
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.9-dbg (>= 3.9.4-0~), ${misc:Depends}
-Description: debug build of the Python 3 Interpreter (version 3.9)
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.10-dbg (>= 3.10.1-0~), ${misc:Depends}
+Description: debug build of the Python 3 Interpreter (version 3.10)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
- are searched in /usr/lib/python3.9/lib-dynload/debug first.
+ are searched in /usr/lib/python3.10/lib-dynload/debug first.
 
 Package: libpython3-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.9-dbg (>= 3.9.4-0~), ${misc:Depends}
+Depends: libpython3.10-dbg (>= 3.10.1-0~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
-Description: debug build of the Python 3 Interpreter (version 3.9)
+Description: debug build of the Python 3 Interpreter (version 3.10)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
- are searched in /usr/lib/python3.9/lib-dynload/debug first.
+ are searched in /usr/lib/python3.10/lib-dynload/debug first.
 
 Package: python3-all
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
  ${misc:Depends},
- python3-distutils (>= 3.9.4-0~),
- python3.9,
+ python3-distutils (>= 3.9.9-3~),
+ python3.10,
 Description: package depending on all supported Python 3 runtime versions
- The package currently depends on python3.9, in the future,
+ The package currently depends on python3.10, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
  may be added.
  .
@@ -206,9 +205,9 @@
  python3-all (= ${binary:Version}),
  python3-dev (= ${binary:Version}),
  ${misc:Depends},
- python3.9-dev,
+ python3.10-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on python3.9-dev, in the
+ The package currently depends on python3.10-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -225,9 +224,9 @@
  python3-all (= ${binary:Version}),
  python3-dbg (= ${binary:Version}),
  ${misc:Depends},
- python3.9-dbg,
+ python3.10-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on python3.9-dbg, in the
+ The package currently depends on python3.10-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -240,9 +239,9 @@
 Section: libdevel
 Depends: libpython3-dev (= ${binary:Version}),
  ${misc:Depends},
- libpython3.9-dev,
+ libpython3.10-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on libpython3.9-dev, in the
+ The package currently depends on libpython3.10-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -256,9 +255,9 @@
 Section: debug
 Depends: libpython3-dbg (= ${binary:Version}),
  ${misc:Depends},
- libpython3.9-dbg,
+ libpython3.10-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on libpython3.9-dbg, in the
+ The package currently depends on libpython3.10-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -268,7 +267,7 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.9.4-0~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.9.9-3~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3
@@ -280,13 +279,13 @@
  to custom applications in which Python code needs to be edited automatically.
  .
  This package is a dependency package, which depends on Debian's default
- Python 3 2to3 version (currently v3.9).
+ Python 3 2to3 version (currently v3.10).
 
 Package: python3-full
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.9-full (>= 3.9.4-0~),
+  python3.10-full (>= 3.10.1-0~),
   python3-venv (= ${binary:Version}),
   2to3,
   idle,
@@ -302,4 +301,3 @@
  includes an extensive class library with lots of goodies for
  network programming, system administration, sounds and graphics.
  .
- This package is a dependency package, which depends on the full
