=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,8 @@
 			| awk '/^(Version|Source):/ {print $$2}')
 PKGSOURCE  := $(word 1, $(changelog_values))
 PKGVERSION := $(word 2, $(changelog_values))
-UPSTRVER   := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)-.*,\1,p')
-IPKGVER    := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)\+.*,\1,p')
-VER        := $(shell echo $(PKGVERSION) | sed -rne 's,(.{3}).*,\1,p')
+UPSTRVER   := $(shell echo $(PKGVERSION) | sed 's,(.*)-.*,\1,')
+VER        := $(shell echo $(PKGVERSION) | awk 'BEGIN{FS="." }{print $$1 "." $$2}')
 NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 
 
 
@@ -22,13 +21,13 @@
 distrelease  := $(shell lsb_release -cs)
 
 # requiered python3.x version
-UPSTRVER   := 3.9.4-0~
+UPSTRVER   := 3.10.1-0~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.9.4-0~
+STDLIBVER   := 3.9.9-3~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.9:any (>= 3.9.4-0~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.1-0~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -73,7 +72,6 @@
 control-file:
 	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
 	    -e "s/@STDLIBVER@/$(STDLIBVER)/g" \
-	    -e "s/@IPKGVER@/$(IPKGVER)/g" \
 	    -e "s/@NVER@/$(NVER)/g" \
 	    -e "s/@VER@/$(VER)/g" \
 	    -e "s/@bd_i586@/$(bd_i586)/g" \
@@ -269,3 +267,5 @@
 	ln -sf pydoc$(VER).1.gz \
 		debian/python3/usr/share/man/man1/pydoc3.1.gz
 	ln -sf pygettext$(VER).1.gz \
+		debian/python3/usr/share/man/man1/pygettext3.1.gz
+	ln -sf pdb$(VER).1.gz \
