## python3-defaults 3.10.4-0ubuntu2

=== debian/changelog ===
python3-defaults (3.10.4-0ubuntu2) jammy; urgency=medium

  * Bump version to 3.10.4.
  * Build a python3-nopie package.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Mar 2022 13:41:08 +0100
