=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.1-0~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.4-1~),
   lsb-release,
   python3-minimal:any,
   python3-docutils,
@@ -19,8 +19,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.10 (>= 3.10.1-0~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.9.9-3~) , python3-venv (>= ${binary:Version})
+Depends: python3.10 (>= 3.10.4-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.9.10-2~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
 Description: interactive high-level object-oriented language (default python3 version)
@@ -34,8 +34,8 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.10-venv (>= 3.10.1-0~), python3 (= ${binary:Version}),
-  python3-distutils (>= 3.9.9-3~), ${misc:Depends}
+Depends: python3.10-venv (>= 3.10.4-1~), python3 (= ${binary:Version}),
+  python3-distutils (>= 3.9.10-2~), ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
  version).
@@ -53,7 +53,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.10-minimal (>= 3.10.1-0~)
+Pre-Depends: python3.10-minimal (>= 3.10.4-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -62,10 +62,21 @@
  contained in this package.
 XB-Cnf-Visible-Pkgname: python3
 
+Package: python3-nopie
+Architecture: any
+Multi-Arch: allowed
+Depends: python3 (= ${binary:Version}),
+  python3.10-nopie (>= 3.10.4-1~), ${misc:Depends}
+Description: Python interpreter linked without PIE (default python3 version)
+ This package contains the interpreter not built as position independent
+ executable. This interpreter is diverting the python3 executable, and making
+ the interpreter built with PIE available as python3-pie.
+XB-Cnf-Visible-Pkgname: python3
+
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.10-examples (>= 3.10.1-0~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.10-examples (>= 3.10.4-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -77,7 +88,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.10-dev (>= 3.10.1-0~), python3-distutils (>= 3.9.9-3~),
+  python3.10-dev (>= 3.10.4-1~), python3-distutils (>= 3.9.10-2~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -94,7 +105,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.10-dev (>= 3.10.1-0~), ${misc:Depends}
+Depends: libpython3.10-dev (>= 3.10.4-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -108,7 +119,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.10-stdlib (>= 3.10.1-0~), ${misc:Depends}
+Depends: libpython3.10-stdlib (>= 3.10.4-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -142,7 +153,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.10-doc (>= 3.10.1-0~), ${misc:Depends}
+Depends: python3.10-doc (>= 3.10.4-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -166,7 +177,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.10-dbg (>= 3.10.1-0~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.10-dbg (>= 3.10.4-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.10)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.10/lib-dynload/debug first.
@@ -175,7 +186,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.10-dbg (>= 3.10.1-0~), ${misc:Depends}
+Depends: libpython3.10-dbg (>= 3.10.4-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.10)
@@ -187,7 +198,7 @@
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
  ${misc:Depends},
- python3-distutils (>= 3.9.9-3~),
+ python3-distutils (>= 3.9.10-2~),
  python3.10,
 Description: package depending on all supported Python 3 runtime versions
  The package currently depends on python3.10, in the future,
@@ -267,7 +278,7 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.9.9-3~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.9.10-2~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3
@@ -285,19 +296,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.10-full (>= 3.10.1-0~),
+  python3.10-full (>= 3.10.4-1~),
   python3-venv (= ${binary:Version}),
   2to3,
   idle,
-  python3-distutils,
-  python3-gdbm,
-  python3-lib2to3,
-  python3-tk,
-  ${shlibs:Depends}, ${misc:Depends}
-Recommends: python3-doc, python3-examples,
-Suggests: python3-dev
-Description: Default Python Interpreter with complete class library
- Python, the high-level, interactive object oriented language,
- includes an extensive class library with lots of goodies for
- network programming, system administration, sounds and graphics.
- .
