=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell lsb_release -cs)
 
 # requiered python3.x version
-UPSTRVER   := 3.10.1-0~
+UPSTRVER   := 3.10.4-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.9.9-3~
+STDLIBVER   := 3.9.10-2~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.1-0~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.4-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
