## python3-defaults 3.10.6-1~22.04

=== debian/changelog ===
python3-defaults (3.10.6-1~22.04) jammy-proposed; urgency=medium

  * SRU: LP: #1982108. Update to Python 3.10.6 in Ubuntu 22.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Aug 2022 12:39:04 +0200

python3-defaults (3.10.6-1) unstable; urgency=medium

  * Bump version to 3.10.6.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2022 14:57:39 +0200

python3-defaults (3.10.5-3) unstable; urgency=medium

  * Source-only upload.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jul 2022 16:23:40 +0200

python3-defaults (3.10.5-2) unstable; urgency=medium

  * Build a python3-nopie package.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 12:13:55 +0200

python3-defaults (3.10.5-1) unstable; urgency=medium

  * Bump version to 3.10.5.
  * Remove Python 3.9 as a supported version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 12:02:10 +0200

python3-defaults (3.10.4-1) unstable; urgency=medium

  * Default to python 3.10.
  * Bump version to 3.10.4.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Mar 2022 19:53:47 +0200
